/* ---------------------------------------------------------- */
/* @(#) KR5.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Agentless HP-UX OS Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2009 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

/* HPSnmpMonitorStart */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.RmtHPOS            000000000000000000", 
  'HPSNMPMONITORSTART "&Subnode_Resource_Name" "&Host" "&Community"',
  "Begin Data Collection from a remote HP endpoint system.",
  " ", 
  "KR5_SNMP_MONITORSTART_TASK", 
  "HPSnmpMonitorStart", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HPSnmpMonitorStop */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.RmtHPOS            000000000000000000", 
  'HPSNMPMONITORSTOP "&KR5_MANAGED_SYSTEMS.Subnode_Resource_Name"',
  "Stop Data Collection from a remote HP endpoint system.",
  " ", 
  "KR5_SNMP_MONITORSTOP_TASK", 
  "HPSnmpMonitorStop", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
$PARMS 
( 
'ADVICE("kr5:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtHPOS_HP         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR5_DISK.Percentage_of_Available_Disk_Space *LT 10.00
 *AND *VALUE KR5_DISK.Total_Blocks *NE 0",
"E",
"0",
"000300",
"*NONE",
"KR5_Disk_Util_High",
"Kr5:KR51016",
"NNN",
"ATOM=KR5FILESYS.FSYSMOUNT;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtHPOS_HP" ,
  "KR5_Disk_Util_High" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr5:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtHPOS_HP         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR5_MEMORY.Available_Virtual_Memory_Pct *LT 10.00",
"E",
"0",
"000300",
"*NONE",
"KR5_VirtMemory_Util_High",
"Kr5:KR51098",
"NNN",
"SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtHPOS_HP" ,
  "KR5_VirtMemory_Util_High" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr5:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtHPOS_HP         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR5_MEMORY.Available_Physical_Memory_Pct *LT 10.00",
"E",
"0",
"000300",
"*NONE",
"KR5_PhysMemory_Util_High",
"Kr5:KR51099",
"NNN",
"SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtHPOS_HP" ,
  "KR5_PhysMemory_Util_High" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr5:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtHPOS_HP         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR5_MEMORY.Available_Swap_Space_Pct *LT 10.00",
"E",
"0",
"000300",
"*NONE",
"KR5_SwapSpace_Util_High",
"Kr5:KR51118",
"NNN",
"SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtHPOS_HP" ,
  "KR5_SwapSpace_Util_High" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr5:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtHPOS_HP         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KR5_NETWORK.Operational_Status *EQ down )  *OR (
 *VALUE KR5_NETWORK.Operational_Status *EQ testing ) )",
"E",
"0",
"000300",
"*NONE",
"KR5_NIC_Status_Down",
"Kr5:KR51018",
"NNN",
"ATOM=KR5IFTABLE.IFDESCR;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtHPOS_HP" ,
  "KR5_NIC_Status_Down" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr5:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtHPOS_HP         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF  *VALUE KR5_NETWORK.Operational_Status *EQ unknown",
"E",
"0",
"000300",
"*NONE",
"KR5_NIC_Status_Unknown",
"Kr5:KR51018",
"NNN",
"ATOM=KR5IFTABLE.IFDESCR;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtHPOS_HP" ,
  "KR5_NIC_Status_Unknown" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kr5:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%IBM.RmtHPOS_HP         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1090630000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KR5_PROCESSOR.CPU_Used_Pct *GT 90.00",
"E",
"0",
"000300",
"*NONE",
"KR5_CPU_Util_High",
"Kr5:KR51017",
"NNN",
"SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*IBM_RmtHPOS_HP" ,
  "KR5_CPU_Util_High" ,
  "Y" ,
  "1090630000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
